import '@zhinjs/plugin-prompt';
import '@zhinjs/plugin-database';
import { DataTypes } from 'sequelize';
import { Bot } from 'zhin';
export const QA: {
    question: DataTypes.TextDataTypeConstructor;
    answer: DataTypes.TextDataTypeConstructor;
    isReg: DataTypes.AbstractDataTypeConstructor;
    probability: {
        type: DataTypes.FloatDataTypeConstructor;
        defaultValue: number;
    };
    redirect: DataTypes.TextDataTypeConstructor;
    belongs: {
        type: DataTypes.TextDataTypeConstructor;
        get(): any;
        set(data: {
            type;
            target;
        }[]): void;
    };
};
export interface QA {
    question: string;
    answer: string;
    isReg: boolean;
    probability: number;
    redirect: string;
    belongs: {
        type: string;
        target: string;
    }[];
}
export const DialogueCnMap: {
    id: string;
    answer: string;
    isReg: string;
    question: string;
    probability: string;
    belongs: string;
    redirect: string;
    group: string;
    private: string;
    discuss: string;
};
export interface Dialogue extends Partial<QA> {
}
export const using: string[];
export function triggerTeach(bot: Bot, event: Bot.MessageEvent): any;
export const name = "qa.receiver";
export const name = "qa";
export const using: string[];
export function install(bot: Bot): void;
